Package org.codehaus.janino

# Interface Visitor.TypeBodyDeclarationVisitor<R,EX extends Throwable>

Type Parameters:
  `R` - The type of the object returned by the `visit*()` methods
  `EX` - The exception that the `visit*()` methods may throw

Enclosing class:
  `Visitor`

public static interface Visitor.TypeBodyDeclarationVisitor<R,EX extends Throwable>
The visitor for all kinds of `Java.TypeBodyDeclaration`s (declarations that may appear in the body of a type declaration).

## Method Summary

Modifier and Type
Method
Description
`R`
`visitFieldDeclaration(Java.FieldDeclaration fd)`
Invoked by `Java.FieldDeclaration.accept(Visitor.TypeBodyDeclarationVisitor)`
`R`
`visitFunctionDeclarator(Java.FunctionDeclarator fd)`
Invoked by `Java.FunctionDeclarator.accept(Visitor.TypeBodyDeclarationVisitor)`.
`R`
`visitInitializer(Java.Initializer i)`
Invoked by `Java.Initializer.accept(Visitor.TypeBodyDeclarationVisitor)`
`R`
`visitMemberAnnotationTypeDeclaration(Java.MemberAnnotationTypeDeclaration matd)`
Invoked by `Java.MemberAnnotationTypeDeclaration.accept(Visitor.TypeBodyDeclarationVisitor)`.
`R`
`visitMemberClassDeclaration(Java.MemberClassDeclaration mcd)`
Invoked by `Java.MemberClassDeclaration.accept(Visitor.TypeBodyDeclarationVisitor)`
`R`
`visitMemberEnumDeclaration(Java.MemberEnumDeclaration med)`
Invoked by `Java.MemberEnumDeclaration.accept(Visitor.TypeBodyDeclarationVisitor)`
`R`
`visitMemberInterfaceDeclaration(Java.MemberInterfaceDeclaration mid)`
Invoked by `Java.MemberInterfaceDeclaration.accept(Visitor.TypeBodyDeclarationVisitor)`

## Method Details

### visitMemberInterfaceDeclaration

@Nullable R visitMemberInterfaceDeclaration(Java.MemberInterfaceDeclaration mid) throws EX
Invoked by `Java.MemberInterfaceDeclaration.accept(Visitor.TypeBodyDeclarationVisitor)`

Throws:
  `EX`

### visitMemberClassDeclaration

@Nullable R visitMemberClassDeclaration(Java.MemberClassDeclaration mcd) throws EX
Invoked by `Java.MemberClassDeclaration.accept(Visitor.TypeBodyDeclarationVisitor)`

Throws:
  `EX`

### visitInitializer

@Nullable R visitInitializer(Java.Initializer i) throws EX
Invoked by `Java.Initializer.accept(Visitor.TypeBodyDeclarationVisitor)`

Throws:
  `EX`

### visitFieldDeclaration

@Nullable R visitFieldDeclaration(Java.FieldDeclaration fd) throws EX
Invoked by `Java.FieldDeclaration.accept(Visitor.TypeBodyDeclarationVisitor)`

Throws:
  `EX`

### visitMemberEnumDeclaration

@Nullable R visitMemberEnumDeclaration(Java.MemberEnumDeclaration med) throws EX
Invoked by `Java.MemberEnumDeclaration.accept(Visitor.TypeBodyDeclarationVisitor)`

Throws:
  `EX`

### visitFunctionDeclarator

@Nullable R visitFunctionDeclarator(Java.FunctionDeclarator fd) throws EX
Invoked by `Java.FunctionDeclarator.accept(Visitor.TypeBodyDeclarationVisitor)`.

Throws:
  `EX`

### visitMemberAnnotationTypeDeclaration

@Nullable R visitMemberAnnotationTypeDeclaration(Java.MemberAnnotationTypeDeclaration matd) throws EX
Invoked by `Java.MemberAnnotationTypeDeclaration.accept(Visitor.TypeBodyDeclarationVisitor)`.

Throws:
  `EX`